%global momorel 1

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-gdata
Version:        1.3.2
Release:        %{momorel}m%{?dist}
Summary:        A Python module for accessing online Google services

Group:          Development/Languages
License:        "ASL 2.0"
URL:            http://code.google.com/p/gdata-python-client/
Source0:        http://gdata-python-client.googlecode.com/files/gdata-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# http://code.google.com/p/gdata-python-client/issues/detail?id=236
Patch0:         gdata-cryptomath_sha_deprecation.diff

BuildArch:      noarch
BuildRequires:  python-devel >= 2.6.1
Requires:       python >= 2.5

%description
This is a Python module for accessing online Google services, such as:
- Blogger
- Calendar
- Picasa Web Albums
- Spreadsheets
- YouTube
- Notebook

%prep
%setup -q -n gdata-%{version}

%patch0 -p1 -b .sha

%build
%{__python} setup.py build

chmod -x samples/*/*.py

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt RELEASE_NOTES.txt samples/
%{python_sitelib}/atom
%{python_sitelib}/gdata
%{python_sitelib}/gdata-%{version}-py*.egg-info

%changelog
* Wed Jun  3 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2
-- import Patch0 from Fedora 11 (1.3.1-2)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.9-4m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.9-3m)
- rebuild against python-2.6.1

* Wed Apr 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.9-2m)
- add egg-info

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.9-1m)
- import from fedora to Momonga for totem-youtube (dependency of firefox-3)

* Tue Nov 13 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Sun Oct 21 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-3
- Remove CFLAGS from the make part, as there's no native compilation,
  spotted by Parag AN <panemade@gmail.com>

* Tue Oct 16 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-2
- Remove python-elementtree dep, it's builtin to Python 2.5
- Add samples to the docs, for documentation purposes
- Remove unneeded macro

* Fri Oct 12 2007 - Bastien Nocera <bnocera@redhat.com> - 1.0.8-1
- Initial RPM release
